### A free/open-source library for quantitative finance

Classes
ql/pricingengines/barrier/mcbarrierengine.hpp File Reference

Monte Carlo barrier option engines. More...

`#include <ql/instruments/barrieroption.hpp>`
`#include <ql/pricingengines/mcsimulation.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
`#include <ql/exercise.hpp>`
Include dependency graph for mcbarrierengine.hpp:

## Classes

class | MCBarrierEngine< RNG, S >
| Pricing engine for barrier options using Monte Carlo simulation. More...
class | MakeMCBarrierEngine< RNG, S >
| Monte Carlo barrier-option engine factory. More...

## Detailed Description

Monte Carlo barrier option engines.